---
lang: en
title: 'API docs: rest.httpserverlike'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httpserverlike.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpServerLike](./rest.httpserverlike.md)

## HttpServerLike interface

<b>Signature:</b>

```typescript
export interface HttpServerLike 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [requestHandler](./rest.httpserverlike.requesthandler.md) | [HttpRequestListener](./rest.httprequestlistener.md) |  |


